# Cupertino Stepper for Flutter

[![pub](https://img.shields.io/pub/v/cupertino_stepper.svg)](https://pub.dev/packages/cupertino_stepper)
[![license: BSD](https://img.shields.io/badge/license-BSD-yellow.svg)](https://opensource.org/licenses/BSD-3-Clause)
![build](https://github.com/jpnurmi/cupertino_stepper/workflows/build/badge.svg)
[![codecov](https://codecov.io/gh/jpnurmi/cupertino_stepper/branch/master/graph/badge.svg)](https://codecov.io/gh/jpnurmi/cupertino_stepper)

Cupertino version of the stock [Material Stepper](https://api.flutter.dev/flutter/material/Stepper-class.html)
in [Flutter](https://flutter.dev).

| **NOTE:** This is not the same as the [UIStepper](https://developer.apple.com/design/human-interface-guidelines/ios/controls/steppers/) control on iOS. |
| --- |

Stepper is a widget that displays progress through a sequence of steps. Steppers are particularly
useful in the case of forms where one step requires the completion of another one, or where multiple
steps need to be completed in order to submit the whole form.

## Screenshots

### Horizontal

![Horizontal CupertinoStepper](https://raw.githubusercontent.com/jpnurmi/cupertino_stepper/master/doc/images/horizontal.png "Horizontal CupertinoStepper")

### Vertical

![Vertical CupertinoStepper](https://raw.githubusercontent.com/jpnurmi/cupertino_stepper/master/doc/images/vertical.png "Vertical CupertinoStepper")

## Usage

To use this package, add `cupertino_stepper` as a [dependency in your pubspec.yaml file](https://flutter.io/platform-plugins/).
