// Copyright 2020 J-P Nurmi <jpnurmi@gmail.com>
// Copyright 2014 The Flutter Authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

/// Cupertino version of the stock [Material Stepper](https://api.flutter.dev/flutter/material/Stepper-class.html).
///
/// **NOTE:** This is not the same as the [UIStepper](https://developer.apple.com/design/human-interface-guidelines/ios/controls/steppers/) control on iOS. |
///
/// Stepper is a widget that displays progress through a sequence of steps. Steppers are particularly
/// useful in the case of forms where one step requires the completion of another one, or where multiple
/// steps need to be completed in order to submit the whole form.
library cupertino_stepper;

export 'src/stepper.dart';
